View Issue Details

IDProjectCategoryView StatusLast Update
0023577mantisbtapi restpublic2017-12-21 05:28
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.7.1 
Target Version2.9.0Fixed in Version2.9.0 
Summary0023577: REST APIs don't enforce required custom fields when reporting issues
Description

The required custom fields must be enforced when reporting issues.

TagsNo tags attached.

Relationships

related to 0023746 resolvedvboctor unable to create a bug with customfields via SOAP 

Activities

Related Changesets

MantisBT: master 03db938d

2017-11-05 01:14:08

vboctor

Details Diff
Ensure required custom fields specified on create issue

Fixes 0023577
mod - api/soap/mc_issue_api.php Diff File
mod - api/soap/mc_project_api.php Diff File

Issue History

Date Modified Username Field Change
2017-11-02 03:31 vboctor New Issue
2017-11-02 03:31 vboctor Status new => assigned
2017-11-02 03:31 vboctor Assigned To => vboctor
2017-11-05 14:03 vboctor Note Added: 0058140
2017-11-09 22:53 vboctor Changeset attached => MantisBT master 03db938d
2017-11-09 22:53 vboctor Status assigned => resolved
2017-11-09 22:53 vboctor Resolution open => fixed
2017-11-09 22:53 vboctor Fixed in Version => 2.9.0
2017-11-09 22:57 vboctor Target Version => 2.9.0
2017-12-04 02:17 vboctor Status resolved => closed
2017-12-21 05:28 atrol Relationship added related to 0023746